/**
 * Hyperledger Cactus API
 * Interact with a Cactus deployment through HTTP.
 *
 * The version of the OpenAPI document: 0.0.1
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { Configuration } from './configuration';
import { AxiosPromise, AxiosInstance } from 'axios';
import { RequestArgs, BaseAPI } from './base';
/**
 *
 * @export
 * @interface HealthCheckResponse
 */
export interface HealthCheckResponse {
    /**
     *
     * @type {boolean}
     * @memberof HealthCheckResponse
     */
    success?: boolean;
    /**
     *
     * @type {string}
     * @memberof HealthCheckResponse
     */
    createdAt: string;
    /**
     *
     * @type {MemoryUsage}
     * @memberof HealthCheckResponse
     */
    memoryUsage: MemoryUsage;
}
/**
 *
 * @export
 * @interface MemoryUsage
 */
export interface MemoryUsage {
    /**
     *
     * @type {number}
     * @memberof MemoryUsage
     */
    rss?: number;
    /**
     *
     * @type {number}
     * @memberof MemoryUsage
     */
    heapTotal?: number;
    /**
     *
     * @type {number}
     * @memberof MemoryUsage
     */
    heapUsed?: number;
    /**
     *
     * @type {number}
     * @memberof MemoryUsage
     */
    external?: number;
    /**
     *
     * @type {number}
     * @memberof MemoryUsage
     */
    arrayBuffers?: number;
}
/**
 *
 * @export
 * @enum {string}
 */
export declare enum WatchHealthcheckV1 {
    Subscribe = "org.hyperledger.cactus.api.async.besu.WatchHealthcheckV1.Subscribe",
    Next = "org.hyperledger.cactus.api.async.besu.WatchHealthcheckV1.Next",
    Unsubscribe = "org.hyperledger.cactus.api.async.besu.WatchHealthcheckV1.Unsubscribe",
    Error = "org.hyperledger.cactus.api.async.besu.WatchHealthcheckV1.Error",
    Complete = "org.hyperledger.cactus.api.async.besu.WatchHealthcheckV1.Complete"
}
/**
 * DefaultApi - axios parameter creator
 * @export
 */
export declare const DefaultApiAxiosParamCreator: (configuration?: Configuration | undefined) => {
    /**
     * Returns the current timestamp of the API server as proof of health/liveness
     * @summary Can be used to verify liveness of an API server instance
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthCheck: (options?: any) => Promise<RequestArgs>;
    /**
     *
     * @summary Get the Prometheus Metrics
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrometheusExporterMetricsV1: (options?: any) => Promise<RequestArgs>;
};
/**
 * DefaultApi - functional programming interface
 * @export
 */
export declare const DefaultApiFp: (configuration?: Configuration | undefined) => {
    /**
     * Returns the current timestamp of the API server as proof of health/liveness
     * @summary Can be used to verify liveness of an API server instance
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthCheck(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<HealthCheckResponse>>;
    /**
     *
     * @summary Get the Prometheus Metrics
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrometheusExporterMetricsV1(options?: any): Promise<(axios?: AxiosInstance | undefined, basePath?: string | undefined) => AxiosPromise<string>>;
};
/**
 * DefaultApi - factory interface
 * @export
 */
export declare const DefaultApiFactory: (configuration?: Configuration | undefined, basePath?: string | undefined, axios?: AxiosInstance | undefined) => {
    /**
     * Returns the current timestamp of the API server as proof of health/liveness
     * @summary Can be used to verify liveness of an API server instance
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getHealthCheck(options?: any): AxiosPromise<HealthCheckResponse>;
    /**
     *
     * @summary Get the Prometheus Metrics
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    getPrometheusExporterMetricsV1(options?: any): AxiosPromise<string>;
};
/**
 * DefaultApi - object-oriented interface
 * @export
 * @class DefaultApi
 * @extends {BaseAPI}
 */
export declare class DefaultApi extends BaseAPI {
    /**
     * Returns the current timestamp of the API server as proof of health/liveness
     * @summary Can be used to verify liveness of an API server instance
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    getHealthCheck(options?: any): Promise<import("axios").AxiosResponse<HealthCheckResponse>>;
    /**
     *
     * @summary Get the Prometheus Metrics
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DefaultApi
     */
    getPrometheusExporterMetricsV1(options?: any): Promise<import("axios").AxiosResponse<string>>;
}
